#
# spec file for package ghc-barrier
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name barrier
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.1.1
Release:        4.5
Summary:        Shields.io style badge generator
License:        MIT
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
Source1:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/revision/1.cabal#/%{pkg_name}.cabal
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-blaze-svg-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-unordered-containers-devel
%if %{with tests}
BuildRequires:  ghc-lens-family-core-devel
BuildRequires:  ghc-tasty-devel
BuildRequires:  ghc-tasty-golden-devel
%endif

%description
See example:
<https://github.com/philopon/barrier/blob/master/examples/example.hs>.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}
cp -p %{SOURCE1} %{pkg_name}.cabal

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE
%dir %{_datadir}/%{pkg_name}-%{version}
%dir %{_datadir}/%{pkg_name}-%{version}/data
%dir %{_datadir}/%{pkg_name}-%{version}/tests
%dir %{_datadir}/%{pkg_name}-%{version}/tests/data
%dir %{_datadir}/%{pkg_name}-%{version}/tests/data/flat
%dir %{_datadir}/%{pkg_name}-%{version}/tests/data/flatSquare
%dir %{_datadir}/%{pkg_name}-%{version}/tests/data/plastic
%{_datadir}/%{pkg_name}-%{version}/data/advance.txt
%{_datadir}/%{pkg_name}-%{version}/tests/data/flat/1.svg
%{_datadir}/%{pkg_name}-%{version}/tests/data/flat/2.svg
%{_datadir}/%{pkg_name}-%{version}/tests/data/flat/3.svg
%{_datadir}/%{pkg_name}-%{version}/tests/data/flat/4.svg
%{_datadir}/%{pkg_name}-%{version}/tests/data/flatSquare/1.svg
%{_datadir}/%{pkg_name}-%{version}/tests/data/flatSquare/2.svg
%{_datadir}/%{pkg_name}-%{version}/tests/data/flatSquare/3.svg
%{_datadir}/%{pkg_name}-%{version}/tests/data/flatSquare/4.svg
%{_datadir}/%{pkg_name}-%{version}/tests/data/plastic/1.svg
%{_datadir}/%{pkg_name}-%{version}/tests/data/plastic/2.svg
%{_datadir}/%{pkg_name}-%{version}/tests/data/plastic/3.svg
%{_datadir}/%{pkg_name}-%{version}/tests/data/plastic/4.svg

%files devel -f %{name}-devel.files

%changelog
* Fri Mar 16 2018 psimons@suse.com
- Update barrier to version 0.1.1 revision 1.
  A more detailed change log is not available.
